#include "network.hpp"

namespace sk {
uint32_t read_uint32(const std::byte *buffer) { return static_cast<uint32_t>(buffer[3]) | static_cast<uint32_t>(buffer[2]) << 8 | static_cast<uint32_t>(buffer[1]) << 16 | static_cast<uint32_t>(buffer[0]) << 24; }
void write_uint32(std::byte *buffer, uint32_t value) {
    buffer[0] = static_cast<std::byte>(value >> 24);
    buffer[1] = static_cast<std::byte>(value >> 16);
    buffer[2] = static_cast<std::byte>(value >> 8);
    buffer[3] = static_cast<std::byte>(value);
}
}
